Draft PointArray/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Caption|Szyk z punktów.}}")
(Created page with "==Użycie==")
Line 33: Line 33:
{{Caption|Szyk z punktów.}}
{{Caption|Szyk z punktów.}}


==Usage==
<span id="Usage"></span>
==Użycie==


# Select the object you wish to array.
# Select the object you wish to array.

Revision as of 12:58, 30 November 2023

Rysunek Roboczy: Szyk z punktów

Lokalizacja w menu
Modyfikacja → Narzędzia szyku → Szyk z punktów
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
brak
Wprowadzono w wersji
0.18
Zobacz także
Szyk ortogonalny, Szyk biegunowy, Szyk kołowy, Szyk po ścieżce, Szyk z punktów, Szyk powiązań w punktach

Opis

Polecenie Szyk z punktów tworzy regularną tablicę z wybranego obiektu bazowego poprzez umieszczenie kopii w punktach obiektu punktowego. Użyj polecenia Szyk powiązań w punktach, aby utworzyć bardziej wydajną tablicę Łączy. Z wyjątkiem typu tworzonego szyku, szyku łączy lub zwykłego szyku, polecenie Szyk powiązań w punktach działa identycznie jak to polecenie.

Narzędzie Szyk z punktów może być używane na obiektach 2D utworzonych za pomocą środowisk pracy Rysunek Roboczy lub Szkicownik, ale może być również używane dla wielu typów obiektów 3D, takich jak te utworzone za pomocą środowisk pracy Część, Projekt Części lub Architektura.

Obiektem punktowym może być dowolny obiekt z kształtem i wierzchołkami (w tym Std: Część zawierający jeden lub więcej takich obiektów), a także siatka i point cloud. Zduplikowane punkty w obiekcie punktowym są odfiltrowywane. dostępne w wersji 0.21

W wersja 0.20 i poniżej obsługiwane są tylko trzy typy obiektów punktowych patrz Obiekt punktów w wersji 0.20 i niższej.

Szyk z punktów.

Użycie

  1. Select the object you wish to array.
  2. Add the point compound object to the selection.
  3. There are several ways to invoke the command:
    • Press the Draft PointArray button.
    • Select the Modification → Array tools → Point array option from the menu.
  4. The array is created.
  5. Optionally change the properties of the array in the Property editor.

Obiekt punktów w wersji 0.20 i niższej

These are the supported point objects in version 0.20 and below and how they can be created:

Properties

See also: Property editor.

A Draft PointArray object is derived from a Part Feature object and inherits all its properties (with the exception of some View properties that are not inherited by Link arrays). The following properties are additional unless otherwise stated:

Data

Link

The properties in this group are only available for Link arrays. See Std LinkMake for more information.

  • DANEScale (Float)
  • DANE (Hidden)Scale Vector (Vector)
  • DANEScale List (VectorList)
  • DANE (Hidden)Visibility List (BoolList)
  • DANE (Hidden)Placement List (PlacementList)
  • DANE (Hidden)Element List (LinkList)
  • DANE (Hidden)_ Link Touched (Bool)
  • DANE (Hidden)_ Child Cache (LinkList)
  • DANE (Hidden)Colored Elements (LinkSubHidden)
  • DANELink Transform (Bool)

Objects

  • DANEBase (Link): specifies the object to duplicate in the array.
  • DANECount (Integer): (read-only) specifies the number of elements in the array. This number is determined by the number of points in the DANEPoint Object.
  • DANEExpand Array (Bool): specifies whether to expand the array in the Tree view to enable the selection of its individual elements. Only available for Link arrays.
  • DANEExtra Placement (Placement): : specifies an additional placement, translation and rotation, for each element in the array.
  • DANEPoint Object (Link): specifies the compound object whose points are used to position the elements in the array. The object must have a DANELinks, DANEComponents or DANEGeometry property, and contain at least one element with DANEX, DANEY, and DANEZ properties.

View

Link

The properties in this group, with the exception of the inherited property, are only available for Link arrays. See Std LinkMake for more information.

  • WIDOKDraw Style (Enumeration)
  • WIDOKLine Width (FloatConstraint)
  • WIDOKOverride Material (Bool)
  • WIDOKPoint Size (FloatConstraint)
  • WIDOKSelectable (Bool): this is an inherited property that appears in the Selection group for other arrays
  • WIDOKShape Material (Material)

Base

The properties in this group, with the exception of the inherited property, are only available for Link arrays. See Std LinkMake for more information.

  • WIDOK (Hidden)Child View Provider (PersistentObject)
  • WIDOK (Hidden)Material List (MaterialList)
  • WIDOK (Hidden)Override Color List (ColorList)
  • WIDOK (Hidden)Override Material List (BoolList)
  • WIDOK (Hidden)Proxy (PythonObject): this is an inherited property.

Display Options

The properties in this group are inherited properties. See Part Feature for more information.

  • WIDOKBounding Box (Bool): this property is not inherited by Link arrays.
  • WIDOKDisplay Mode (Enumeration): for Link arrays it can be Link or ChildView. For other arrays it can be: Flat Lines, Shaded, Wireframe or Points
  • WIDOKShow In Tree (Bool)
  • WIDOKVisibility (Bool)

Draft

  • WIDOKPattern (Enumeration): not used.
  • WIDOKPattern Size (Float): not used.

Object style

Właściwości w tej grupie nie są dziedziczone przez szyk łączy.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy pisania skryptów dla FreeCAD.

Aby utworzyć Szyk z punktów, należy użyć metody make_point_array (dostępne w wersji 0.19) modułu Rysunek Roboczy. Metoda ta zastępuje przestarzałą metodę makePointArray.

point_array = make_point_array(base_object, point_object, extra=None, use_link=True)
  • base_object is the object to be arrayed. It can also be the Label (string) of an object in the current document.
  • point_object is the object containing the points. It can also be the Label (string) of an object in the current document. It should have a Geometry, Links, or Components property containing points.
  • extra is an App.Placement, an App.Vector or an App.Rotation that displaces each element.
  • If use_link is True the created elements are App Links instead of regular copies.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon = Draft.make_polygon(3, radius=500.0)

p1 = Draft.make_point(App.Vector(1500, 0, 0))
p2 = Draft.make_point(App.Vector(2500, 0, 0))
p3 = Draft.make_point(App.Vector(2000, 1000, 0))

compound = doc.addObject("Part::Compound", "Compound")
compound.Links = [p1, p2, p3]

point_array = Draft.make_point_array(polygon, compound)
doc.recompute()